%global momorel 1

Name:           perl-Socket-GetAddrInfo
Version:        0.12
Release:        %{momorel}m%{?dist}
Summary:        Wrapper for Socket6's getaddrinfo and getnameinfo, or emulation for platforms that do not support it
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Socket-GetAddrInfo/
Source0:	http://www.cpan.org/modules/by-module/Socket/Socket-GetAddrInfo-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-CBuilder
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The intention of this module is that any code wishing to perform name-to-
address or address-to-name resolutions should use this instead of using
Socket6 directly. If the underlying platform has Socket6 installed, then it
will be used, and the complete range of features it provides can be used.
If the platform does not support it, then this module will instead provide
emulations of the relevant functions, using the legacy resolver functions
of gethostbyname(), etc...

%prep
%setup -q -n Socket-GetAddrInfo-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
#./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Socket*
%{_mandir}/man3/*

%changelog
* Sun Jun 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12-1m)
- update to 0.12

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11-1m)
- update to 0.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10-2m)
- rebuild against rpm-4.6

* Sat Jun 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-1m)
- update to 0.10

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.08-2m)
- rebuild against gcc43

* Tue Mar  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08
- no noarch

* Wed Jan 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07-1m)
- Specfile autogenerated by cpanspec 1.74 for Momonga Linux.
